# Class GetFundingAddressesRequest

#### Hierarchy

- unknown
  - GetFundingAddressesRequest

- Defined in src/protobuf/grpc_pb.d.ts:3416
- Defined in src/protobuf/grpc_pb.d.ts:3425

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetFundingAddressesRequest(): GetFundingAddressesRequest

- #### Returns GetFundingAddressesRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3417

### toObject

- toObject(includeInstance?: boolean): GetFundingAddressesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetFundingAddressesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3418

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetFundingAddressesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetFundingAddressesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3421

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetFundingAddressesRequest, reader: BinaryReader): GetFundingAddressesRequest

- #### Parameters

  - ##### message: GetFundingAddressesRequest

  - ##### reader: BinaryReader

  #### Returns GetFundingAddressesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3422

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetFundingAddressesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetFundingAddressesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3420

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetFundingAddressesRequest): GetFundingAddressesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetFundingAddressesRequest

  #### Returns GetFundingAddressesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3419

Generated using TypeDoc